# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bondora/version'

Gem::Specification.new do |spec|
  spec.name          = "bondora"
  spec.version       = Bondora::VERSION
  spec.authors       = ["Christian Schritt"]
  spec.email         = ["christian@trademesh.de"]

  spec.summary       = "Ruby module to access bondora.com's REST API"
  spec.homepage      = "https://github.com/cschritt/bondora"
  spec.licenses      = "MIT"

  # Prevent pushing this gem to RubyGems.org by setting 'allowed_push_host', or
  # delete this section to allow pushing this gem to any host.
  if spec.respond_to?(:metadata)
    spec.metadata['allowed_push_host'] = "https://rubygems.org"
  else
    raise "RubyGems 2.0 or newer is required to protect against public gem pushes."
  end

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  # gem dependencies
  spec.add_dependency "httparty", "~> 0.13.0"
  spec.add_dependency "json", "~> 1.8", ">= 1.8.0"

  # development dependencies
  spec.add_development_dependency "bundler", "~> 1.11"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.2"
  spec.add_development_dependency "yard", "~> 0.8.7.6", ">=0.8"
end
